﻿<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>@ViewData["Title"] - LMS</title>

    <environment include="Development">
        <link rel="stylesheet" href="~/lib/bootstrap/dist/css/bootstrap.css" />
    </environment>
    <environment exclude="Development">
        <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
              asp-fallback-href="~/lib/bootstrap/dist/css/bootstrap.min.css"
              asp-fallback-test-class="sr-only" asp-fallback-test-property="position" asp-fallback-test-value="absolute"
              crossorigin="anonymous"
              integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" />
    </environment>
    <link rel="stylesheet" href="~/css/site.css" />
    <link href="https://fonts.googleapis.com/css?family=Berkshire+Swash|Gloria+Hallelujah|Grenze&display=swap" rel="stylesheet">
    <link href="https://cdnjs.cloudflare.com/ajax/libs/select2/4.0.10/css/select2.min.css" rel="stylesheet" />
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
    <link href="~/css/select2.min.css" rel="stylesheet" />


</head>
<body bgcolor="#c9c9c9">
    <header>
        <nav id="nav-font" class="navbar navbar-expand-sm navbar-toggleable-sm navbar-light border-bottom box-shadow mb-3 font-italic">

            <div id="mySidenav" class="sidenav">
                <a href="javascript:void(0)" class="closebtn" onclick="closeNav()">&times;</a>
                @if (!this.User.Identity.IsAuthenticated)
                {
                    <a asp-area="" asp-controller="Home" asp-action="Index">
                        <div class="media">
                            <div class="media-body">
                                <h1 class="text-center mt-0 mb-1">Home</h1>
                            </div>
                        </div>
                    </a>
                    <a asp-controller="Books" asp-action="Index">
                        <div class="media">
                            <div class="media-body">
                                <h1 class="text-center mt-0 mb-1">Catalog</h1>
                            </div>
                        </div>
                    </a>
                    <a asp-area="Identity" asp-page="/Account/Login">
                        <div class="media">
                            <div class="media-body">
                                <h1 class="text-center mt-0 mb-1">Login</h1>
                            </div>
                        </div>
                    </a>
                    <a asp-area="Identity" asp-page="/Account/Register">
                        <div class="media">
                            <div class="media-body">
                                <h1 class="text-center mt-0 mb-1">Register</h1>
                            </div>
                        </div>
                    </a>
                }
                else
                {
                    if (this.User.IsBanned())
                    {
                        <a asp-area="" asp-controller="Home" asp-action="Index">
                            <div class="media">
                                <div class="media-body">
                                    <h1 class="text-center mt-0 mb-1">Home</h1>
                                </div>
                            </div>
                        </a>
                    }
                    else if (this.User.IsInRole("Admin"))
                    {
                        <a asp-area="" asp-controller="Home" asp-action="Index">
                            <div class="media">
                                <div class="media-body">
                                    <h1 class="text-center mt-0 mb-1">Home</h1>
                                </div>
                            </div>
                        </a>
                        <a asp-area="" asp-controller="Authors" asp-action="Create">
                            <div class="media">
                                <div class="media-body">
                                    <h1 class="text-center mt-0 mb-1">Create Author</h1>
                                </div>
                            </div>
                        </a>
                        <a asp-area="" asp-controller="Authors" asp-action="Index">
                            <div class="media">
                                <div class="media-body">
                                    <h1 class="text-center mt-0 mb-1">Authors</h1>
                                </div>
                            </div>
                        </a>
                        <a asp-area="" asp-controller="Books" asp-action="Create">
                            <div class="media">
                                <div class="media-body">
                                    <h1 class="text-center mt-0 mb-1">Create Book</h1>
                                </div>
                            </div>
                        </a>
                        <a asp-area="" asp-controller="Books" asp-action="Index">
                            <div class="media">
                                <div class="media-body">
                                    <h1 class="text-center mt-0 mb-1">Catalog</h1>
                                </div>
                            </div>
                        </a>
                        <a asp-area="" asp-controller="Notification" asp-action="Index">
                            <div class="media">
                                <div class="media-body">
                                    <h1 class="text-center mt-0 mb-1">Unread messaages</h1>
                                </div>
                            </div>
                        </a>
                        <a asp-area="" asp-controller="Notification" asp-action="Seen">
                            <div class="media">
                                <div class="media-body">
                                    <h1 class="text-center mt-0 mb-1">Seen messaages</h1>
                                </div>
                            </div>
                        </a>
                        <a asp-area="" asp-controller="Ban" asp-action="BannedUsers">
                            <div class="media">
                                <div class="media-body">
                                    <h1 class="text-center mt-0 mb-1">Banned Users</h1>
                                </div>
                            </div>
                        </a>
                        <a asp-area="" asp-controller="Grades" asp-action="Index">
                            <div class="media">
                                <div class="media-body">
                                    <h1 class="text-center mt-0 mb-1">Crades</h1>
                                </div>
                            </div>
                        </a>
                    }
                    else
                    {
                        <a asp-area="" asp-controller="Home" asp-action="Index">
                            <div class="media">
                                <div class="media-body">
                                    <h1 class="text-center mt-0 mb-1">Home</h1>
                                </div>
                            </div>
                        </a>
                        <a asp-area="" asp-controller="Books" asp-action="Index">
                            <div class="media">
                                <div class="media-body">
                                    <h1 class="text-center mt-0 mb-1">Catalog</h1>
                                </div>
                            </div>
                        </a>
                        <a asp-area="" asp-controller="Books" asp-action="MyBooks">
                            <div class="media">
                                <div class="media-body">
                                    <h1 class="text-center mt-0 mb-1">My Books</h1>
                                </div>
                            </div>
                        </a>
                        <a asp-area="" asp-controller="Notification" asp-action="Index">
                            <div class="media">
                                <div class="media-body">
                                    <h1 class="text-center mt-0 mb-1">Unread messaages</h1>
                                </div>
                            </div>
                        </a>
                        <a asp-area="" asp-controller="Notification" asp-action="Seen">
                            <div class="media">
                                <div class="media-body">
                                    <h1 class="text-center mt-0 mb-1">Seen messaages</h1>
                                </div>
                            </div>
                        </a>
                        <a asp-area="" asp-controller="Grades" asp-action="Index">
                            <div class="media">
                                <div class="media-body">
                                    <h1 class="text-center mt-0 mb-1">Crades</h1>
                                </div>
                            </div>
                        </a>
                    }
                }
            </div>

            <!-- Use any element to open the sidenav -->
            <span onclick="openNav()">
                <img class="d-flex ml-3" src="~/lib/images/MenuWhite.png" alt="Open" width="150">
            </span>

            <!-- Add all page content inside this div if you want the side nav to push page content to the right (not used if you only want the sidenav to sit on top of the page -->
            @*<div id="main">
                    ...
                </div>*@



            <partial name="_LoginPartial" />

        </nav>
    </header>
    <div class="container">
        <partial name="_CookieConsentPartial" />
        <main role="main" class="pb-3">
            @RenderBody()
        </main>
    </div>

    <footer class="border-top footer text-muted">
        <div class="container text-white text-decoration-none">
            &copy; CopyRight IriOnWebDesignStudios_AllRigtsReserved.Where(AboutUs => AboutUs.<b><a class="text-white" asp-area="" asp-controller="Home" asp-action="Privacy">ClickHere</a></b>)
        </div>
    </footer>


    <script src="~/lib/jquery/dist/jquery.js"></script>
    <script src="~/lib/bootstrap/dist/js/bootstrap.bundle.js"></script>

    <script src="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/toastr.min.js"></script>
    <script src="~/js/select2.min.js"></script>
    <script src="~/js/site.js"></script>


    @RenderSection("Scripts", required: false)
</body>
</html>
